Bug 981962 - [vdsm] wrong disk state report by engine in case of a failure in disk hotplug/hotunplug
[vdsm] wrong disk state report by engine in case of a failure in disk hotplug...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
3.3.0
x86_64 Unspecified
unspecified Severity high
: ---
: 3.3.0
Assigned To: Federico Simoncelli
Elad
storage
:
: 981950 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-07 06:44 EDT by Elad
Modified: 2016-02-10 12:46 EST (History)
12 users (show)

See Also:
Fixed In Version: is15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 11:27:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
amureini: Triaged+


Attachments (Terms of Use)
logs - disk hotplug failure (1.41 MB, application/x-gzip)
2013-07-07 06:44 EDT, Elad
no flags Details
logs - disk hotunplug failure (1.37 MB, application/x-gzip)
2013-07-07 06:59 EDT, Elad
no flags Details

  None (edit)
Description Elad 2013-07-07 06:44:56 EDT
Created attachment 769935 [details]
logs - disk hotplug failure

Description of problem:
Engine reports a wrong disk state after failure in disk hotplug/hotunplug 

Failure in disk hotplug:
- relates to https://bugzilla.redhat.com/show_bug.cgi?id=980914 
- despite disk hotplug failed, lv remain accessible. vdsm cannot deactivate it and fails.
Actual results: engine reports that disk is inactive
Expected results: engine should report that disk is active

Failure in disk hotunplug:
- relates to https://bugzilla.redhat.com/show_bug.cgi?id=981950
- engine reports that the disk is active when in fact, LV had been closed. Actual results: in this case, engine reports that disk is active
Expected results: engine should report that disk is inactive when LV attribute is -wi-a----

Version-Release number of selected component (if applicable):
rhevm-3.3.0-0.5.master.el6ev.noarch

How reproducible:
100%

Steps to Reproduce:
1. trigger a failure in disk hotplug/unplug according to reproduction steps on:
- https://bugzilla.redhat.com/show_bug.cgi?id=980914
- https://bugzilla.redhat.com/show_bug.cgi?id=981950


Additional info:
logs
Comment 1 Elad 2013-07-07 06:59:19 EDT
Created attachment 769945 [details]
logs - disk hotunplug failure
Comment 2 Ayal Baron 2013-07-10 05:26:28 EDT
If hotplug fails then disk remains unplugged in engine.  This has nothing to do with the LV remaining active or not.
LV remaining active might be a libvirt or qemu bug (keeping the fd open), but in any event the disk is not being accessed by qemu (i.e. it is unplugged).
Fede, wasn't the lv remaining open bug solved already?
If not, please move this bug to the correct component and rename.
Comment 3 Allon Mureinik 2013-07-24 05:24:30 EDT
*** Bug 981950 has been marked as a duplicate of this bug. ***
Comment 5 Elad 2013-09-22 09:37:13 EDT
After a failure in disk hotunplug, lv remains open:
 6f01db9d-844b-4222-a86d-b6d9d139e4fd -wi-ao----
engine reports that the disk is active 

After a failure in disk hotplug, lv remains close:
59d6791b-e91b-4cc7-aade-9cb3708815c7 -wi-a-----
engine reports that the disk is inactive


Verified on is15:
rhevm-3.3.0-0.21.master.el6ev.noarch
vdsm-4.12.0-138.gitab256be.el6ev.x86_64
Comment 6 Charlie 2013-11-27 19:31:08 EST
This bug is currently attached to errata RHBA-2013:15291. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to 
minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.
* Consequence: What happens when the bug presents.
* Fix: What was done to fix the bug.
* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes 

Thanks in advance.
Comment 8 errata-xmlrpc 2014-01-21 11:27:14 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0040.html

Note You need to log in before you can comment on or make changes to this bug.